Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Web Services Security Java API Reference 10g Release 3 (10.1.3) B25382-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.xmlsec.wss.saml
Class SAMLAssertionKeyIdentifierResolverException

`java.lang.Object
java.lang.Throwable
java.lang.Exception
oracle.security.xmlsec.wss.saml.SAMLAssertionKeyIdentifierResolverException`

All Implemented Interfaces:
  java.io.Serializable

public class SAMLAssertionKeyIdentifierResolverException
extends java.lang.Exception

Signals failure resolving SAML Assertion key identifiers.

See Also:
  Serialized Form

Constructor Summary
`SAMLAssertionKeyIdentifierResolverException()` Constructs a `SAMLAssertionKeyIdentifierResolverException`.
`SAMLAssertionKeyIdentifierResolverException(java.lang.String message)` Constructs a `SAMLAssertionKeyIdentifierResolverException` with the specified message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SAMLAssertionKeyIdentifierResolverException

    public SAMLAssertionKeyIdentifierResolverException()

  Constructs a `SAMLAssertionKeyIdentifierResolverException`.

### SAMLAssertionKeyIdentifierResolverException

    public SAMLAssertionKeyIdentifierResolverException(java.lang.String message)

  Constructs a `SAMLAssertionKeyIdentifierResolverException` with the specified message.
Parameters:
  `message` - The detail message.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Web Services Security Java API Reference 10g Release 3 (10.1.3) B25382-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.